Bug 5429 - Enable Koha to fetch book covers from openlibrary
Summary: Enable Koha to fetch book covers from openlibrary
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement with 1 vote (vote)
Target Milestone: ---
Assignee: Chris Cormack
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 6625 6624 6672
  Show dependency treegraph
 
Reported: 2010-11-23 19:57 UTC by Chris Cormack
Modified: 2012-10-25 23:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (18.46 KB, patch)
2011-07-23 08:11 UTC, Chris Cormack
Details | Diff | Splinter Review
Follow up patch (2.24 KB, patch)
2011-07-23 08:11 UTC, Chris Cormack
Details | Diff | Splinter Review
Follow up patch (3.09 KB, patch)
2011-07-23 08:17 UTC, Chris Cormack
Details | Diff | Splinter Review
Signed-off patch 1/2 (18.52 KB, patch)
2011-07-23 12:39 UTC, Magnus Enger
Details | Diff | Splinter Review
Signed-off patch 2/2 (3.16 KB, patch)
2011-07-23 12:43 UTC, Magnus Enger
Details | Diff | Splinter Review
proposed patch (passed QA) (18.52 KB, patch)
2011-08-03 14:23 UTC, Paul Poulain
Details | Diff | Splinter Review
proposed patch 2 (passed QA) (3.20 KB, patch)
2011-08-03 14:24 UTC, Paul Poulain
Details | Diff | Splinter Review
proposed patch 3 (passed QA) (1.51 KB, patch)
2011-08-03 14:26 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-11-23 19:57:11 UTC
Openlibrary has an API very similair to google books, we should enable Koha to use it to fetch book covers
Comment 1 Chris Cormack 2011-07-23 07:57:57 UTC
Patch sent to the mailing list
Comment 2 Chris Cormack 2011-07-23 08:11:23 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2011-07-23 08:11:48 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2011-07-23 08:17:33 UTC Comment hidden (obsolete)
Comment 5 Nicole C. Engard 2011-07-23 11:55:12 UTC
I have signed off on these patches since they do what they say they do - but if there is any way to have bigger cover images I'd love to see a follow up patch that does that.  The covers do appear a bit too small compared to other cover image services.

Nicole
Comment 6 Magnus Enger 2011-07-23 12:39:52 UTC Comment hidden (obsolete)
Comment 7 Magnus Enger 2011-07-23 12:43:33 UTC Comment hidden (obsolete)
Comment 8 Magnus Enger 2011-07-23 12:44:44 UTC
That last URL should of course be: 

http://covers.openlibrary.org/b/id/227938-M.jpg
Comment 9 Nicole C. Engard 2011-07-23 13:21:23 UTC
Magnus,

You repeated exactly what I said :) Glad I'm not alone. I did not however attach my signed off patches here ... just FYI.

Nicole
Comment 10 Paul Poulain 2011-08-03 14:23:07 UTC
Created attachment 4822 [details] [review]
proposed patch (passed QA)
Comment 11 Paul Poulain 2011-08-03 14:24:17 UTC
Created attachment 4823 [details] [review]
proposed patch 2 (passed QA)
Comment 12 Paul Poulain 2011-08-03 14:26:08 UTC
Created attachment 4824 [details] [review]
proposed patch 3 (passed QA)

QA comment

No comment, works fine, nothing to notice, except, as others, the size of the image, that is quite small.

I've added a 3rd patch, with the version number (chris : 006, take care of applying the 005 i've validated a few hours ago before)
I also have rebased the first one, for a small/easy to fix updatedatabase glitch
Comment 13 Chris Cormack 2011-08-04 01:34:17 UTC
Have pushed,

For future reference, it is easier/better for me if you leave the updatedabase as XXX and don't change the kohaversion

I don't always apply them in the order you have numbered them, and its easier for me to just set the version when they are applied to master.
Comment 14 Nicole C. Engard 2011-08-05 11:48:22 UTC
opening a new ticket to recommend that the cover images be bigger, but this patch works as expected.